Bug 178961 - CVE-2005-4667 unzip long filename buffer overflow
CVE-2005-4667 unzip long filename buffer overflow
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-01-25 14:40 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 08:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-25 14:40:03 EST
unzip long filename buffer overflow

unzip is vulnerable to a filename buffer overflow vulnerability.  It
may be possible to execute arbitrary code as the user running unzip.


This issue can be verified with the following command:
unzip `perl -e 'print "A" x 50000'`
Comment 1 Josh Bressers 2006-01-25 14:44:52 EST
This issue also affects FC5
Comment 2 Ivana Varekova 2006-02-06 08:44:35 EST
fc5 and fc4 versions are fixed (unzip-5.52-2 and unzip-5.51-13.fc4).
Comment 3 Michal Jaegermann 2006-02-07 17:13:28 EST
What about various RHEL releases?  It seems to me that the bug is present in
all of these (and really the same fix).
Comment 4 Josh Bressers 2006-02-07 17:44:53 EST

We are tracking the RHEL issue as bug 178960.  We have rated this issue as low,
which means we likely won't release an update for this package just for this fix
(we will wait for other more important issues).  If you have any concerns please
feel free to mail me.

Note You need to log in before you can comment on or make changes to this bug.